## org.apache.axis.encoding.ser
Class DocumentSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.DocumentSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class DocumentSerializer
extends java.lang.Object
implements Serializer

Serializer for DOM Document

Author:
  Davanum Srinivas <dims@yahoo.com>
See Also:
  Serialized Form

Constructor Summary
`DocumentSerializer()`

Method Summary
`java.lang.String` `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.
`void` `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize a DOM Document
`org.w3c.dom.Element` `writeSchema(java.lang.Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSerializer

    public DocumentSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize a DOM Document

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext
  Throws:
    `java.io.IOException`

### getMechanismType

    public java.lang.String getMechanismType()

  Description copied from interface: `Serializer`
  Gets the type of the XML processing mechanism and representation used by this Serializer.

  Specified by:
    `getMechanismType` in interface `Serializer`
  Returns:
    XML processing mechanism type

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           Types types)
                                    throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `java.lang.Exception`
  See Also:
    `Types`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.